Khronos Public Bugzilla
Bug 117 - Assorted errors in XML examples
Assorted errors in XML examples
Status: NEW
Product: COLLADA
Classification: Unclassified
Component: Specification
1.5.0
Macintosh Mac OS
: P3 normal
: Release 1.5.1
Assigned To: Fabrice Robinet
COLLADA Work Group email alias
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 15:03 PDT by Ellen Finch
Modified: 2014-01-07 10:30 PST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ellen Finch 2009-03-27 15:03:44 PDT
From: Allison Floyd [mailto:allisonfloyd@google.com]
Sent: Thu, 22 Jan 2009 10:11:30 -0800

Some sections of the 1.5 spec document have XML errors.

geographic_location example code:

<created>2008-01-28T20:51:36Z<created/>
<modified>2008-01-28T20:51:36Z<modified/>

(note the <created/> instead of </created>)

animation_clip example code:

<animation_clip start="1.0" end="5.0"/>
<instance_animation url="#anim"/>
</animation_clip>

(note that animation_clip is prematurely closed)

instance_controller example code:

<instance_controller url="#skin"/>
<skeleton>#skel</skeleton>
</instance_controller>

(also premature closure; there's a few more in this example)

instance_node example code:

<node>
<instance_node url="#NODE0" proxy="#LOD1">
</node>

(unclosed instance_node)

There's probably more, those are just the ones in my notes.
Comment 1 Ellen Finch 2009-04-09 23:17:27 PDT
Adding numbers for easier referencing:

1. geographic_location example code:

<created>2008-01-28T20:51:36Z<created/>
<modified>2008-01-28T20:51:36Z<modified/>

(note the <created/> instead of </created>)

2. animation_clip example code:

<animation_clip start="1.0" end="5.0"/>
<instance_animation url="#anim"/>
</animation_clip>

(note that animation_clip is prematurely closed)

3. instance_controller example code:

<instance_controller url="#skin"/>
<skeleton>#skel</skeleton>
</instance_controller>

(also premature closure; there's a few more in this example)

4. instance_node example code:

<node>
<instance_node url="#NODE0" proxy="#LOD1">
</node>

(unclosed instance_node)
Comment 2 Ellen Finch 2009-04-09 23:24:47 PDT
5. <geographic_location> example, missing </visual_scene>.
Comment 3 Ellen Finch 2009-04-09 23:34:51 PDT
#2 above is in <instance_animation> entry.

#3 above, occurs 3 places in that example and also one node is closed early 
<node id="skel"/> 
   ... 
</node>
Comment 4 Ellen Finch 2009-04-22 18:00:11 PDT
6. In URI Addressing section, <library_lights> example is terminated with </library>; shd be </library_lights>.
Comment 5 Ellen Finch 2009-05-15 19:06:11 PDT
7. In <states> example with attributes table, change <fog_enable ="true"/> to <fog_enable value = "true"/> .